Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# uiop_endpoints.cpp File Reference

`#include "uiop_endpoints.h"`
`#include "uiop_endpoints.i"`

Include dependency graph for uiop_endpoints.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_TAO_UIOPENDPOINTSEQUENCE_CS_
#define | _TAO_UIOPENDPOINTSEQUENCE_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_UIOP_Endpoint_Info (CORBA::tk_struct, sizeof (_oc_TAO_UIOP_Endpoint_Info), (char *) &_oc_TAO_UIOP_Endpoint_Info, 0, sizeof (TAO_UIOP_Endpoint_Info))
CORBA::TypeCode | _tc_TAO_tc_TAO_UIOPEndpointSequence (CORBA::tk_alias, sizeof (_oc_TAO_UIOPEndpointSequence), (char *) &_oc_TAO_UIOPEndpointSequence, 0, sizeof (TAO_UIOPEndpointSequence))
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const TAO_UIOPEndpointSequence &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, TAO_UIOPEndpointSequence &_tao_sequence )
## Variables
const CORBA::Long | _oc_TAO_UIOP_Endpoint_Info []
CORBA::TypeCode_ptr | _tc_TAO_UIOP_Endpoint_Info = &_tc_TAO_tc_TAO_UIOP_Endpoint_Info
const CORBA::Long | _oc_TAO_UIOPEndpointSequence []
CORBA::TypeCode_ptr | _tc_TAO_UIOPEndpointSequence = &_tc_TAO_tc_TAO_UIOPEndpointSequence

## Define Documentation

#define _TAO_UIOPENDPOINTSEQUENCE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_TAO_UIOPENDPOINTSEQUENCE_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_UIOPEndpointSequence ( | CORBA::tk_alias,
| sizeof(_oc_TAO_UIOPEndpointSequence),
| (char *)& _oc_TAO_UIOPEndpointSequence,
| 0,
| sizeof(TAO_UIOPEndpointSequence) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_UIOP_Endpoint_Info ( | CORBA::tk_struct,
| sizeof(_oc_TAO_UIOP_Endpoint_Info),
| (char *)& _oc_TAO_UIOP_Endpoint_Info,
| 0,
| sizeof(TAO_UIOP_Endpoint_Info) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_UIOPEndpointSequence & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| TAO_UIOPEndpointSequence & _tao_sequence )

## Variable Documentation

const CORBA::Long _oc_TAO_UIOPEndpointSequence[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x456e6470), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x53657175), ACE_NTOHL (0x656e6365), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      25, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x456e6470), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x53657175), ACE_NTOHL (0x656e6365), ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      140,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_struct,
        124,
          TAO_ENCAP_BYTE_ORDER,
          31, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f3a31), ACE_NTOHL (0x2e300000),
          23, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f0000),
          2,
          17, ACE_NTOHL (0x72656e64), ACE_NTOHL (0x657a766f), ACE_NTOHL (0x75735f70), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x0),
          CORBA::tk_string,
          0U,
          9, ACE_NTOHL (0x7072696f), ACE_NTOHL (0x72697479), ACE_NTOHL (0x0),
          CORBA::tk_short,

        0U,

    }

const CORBA::Long _oc_TAO_UIOP_Endpoint_Info[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      31, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f3a31), ACE_NTOHL (0x2e300000),
      23, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x55494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f0000),
      2,
      17, ACE_NTOHL (0x72656e64), ACE_NTOHL (0x657a766f), ACE_NTOHL (0x75735f70), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x0),
      CORBA::tk_string,
      0U,
      9, ACE_NTOHL (0x7072696f), ACE_NTOHL (0x72697479), ACE_NTOHL (0x0),
      CORBA::tk_short,

    }

TAO_Strategies_Export CORBA::TypeCode_ptr _tc_TAO_UIOPEndpointSequence = &_tc_TAO_tc_TAO_UIOPEndpointSequence

TAO_Strategies_Export CORBA::TypeCode_ptr _tc_TAO_UIOP_Endpoint_Info = &_tc_TAO_tc_TAO_UIOP_Endpoint_Info